summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robert Allen2013-10-27 02:02:15 +0200
committer Robby Workman2013-10-28 05:38:56 +0100
commit85bdb6fd87dbd4e50639c2a12817c676cf0aecb1 (patch)
treeaead8f304af5e6f20b2f1501cff3dc65c01728b9 /system
parent7009dc6a71a257db0d29bd8ae7d7d3e03c99fc71 (diff)
downloadslackbuilds-85bdb6fd87dbd4e50639c2a12817c676cf0aecb1.tar.gz
system/daemonize: Added (run a program as a daemon)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/daemonize/README7
-rw-r--r--system/daemonize/daemonize.SlackBuild77
-rw-r--r--system/daemonize/daemonize.info10
-rw-r--r--system/daemonize/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/daemonize/README b/system/daemonize/README
new file mode 100644
index 0000000000..4c4c7ce7c9
--- /dev/null
+++ b/system/daemonize/README
@@ -0,0 +1,7 @@
+Daemonize allows you to run a command as a Unix daemon.
+
+See man page for usage after installation.
+
+Builds from hosted snapshot of git repo. See home page
+to from daemonize.info for latest version info.
+
diff --git a/system/daemonize/daemonize.SlackBuild b/system/daemonize/daemonize.SlackBuild
new file mode 100644
index 0000000000..f8335e9677
--- /dev/null
+++ b/system/daemonize/daemonize.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for daemonize
+
+# Copyright 2013 Robert Allen <slacker@slaphappygeeks.com>
+# All rights reserved, including Creator Endowed Unalienable Rights
+#
+# This script is placed into the public domain by the author
+
+PRGNAM=daemonize
+VERSION=1.7.4
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BITS=32
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BITS=32
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS=64
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install INSTALL_MAN=/usr/man DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+gzip $PKG/usr/man/man1/daemonize.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/daemonize/daemonize.info b/system/daemonize/daemonize.info
new file mode 100644
index 0000000000..02122d403b
--- /dev/null
+++ b/system/daemonize/daemonize.info
@@ -0,0 +1,10 @@
+PRGNAM="daemonize"
+VERSION="1.7.4"
+HOMEPAGE="http://software.clapper.org/daemonize/"
+DOWNLOAD="http://slaphappygeeks.com/dl/daemonize-1.7.4.tar.gz"
+MD5SUM="9283c03cd0d6a53003b785e52fdb214c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Robert Allen"
+EMAIL="slacker@slaphappygeeks.com"
diff --git a/system/daemonize/slack-desc b/system/daemonize/slack-desc
new file mode 100644
index 0000000000..07c089a255
--- /dev/null
+++ b/system/daemonize/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+daemonize: daemonize (run a program as a daemon)
+daemonize:
+daemonize: daemonize allows you to run a program as a Unix daemon.
+daemonize:
+daemonize: Homepage: http://software.clapper.org/daemonize/
+daemonize:
+daemonize:
+daemonize:
+daemonize:
+daemonize:
+daemonize: